# hy-menu-main-group

<!-- Auto Generated Below -->

## Properties

| Property         | Attribute          | Description | Type                   | Default     |
| ---------------- | ------------------ | ----------- | ---------------------- | ----------- |
| `dataMainMenu`   | `data-main-menu`   |             | `MainMenu[] \| string` | `undefined` |
| `isMobile`       | `is-mobile`        |             | `boolean`              | `false`     |
| `logoLabelGroup` | `logo-label-group` |             | `string`               | `undefined` |
| `logoSizeGroup`  | `logo-size-group`  |             | `any`                  | `undefined` |
| `logoUrlGroup`   | `logo-url-group`   |             | `string`               | `undefined` |
| `siteLabel`      | `site-label`       |             | `string`               | `undefined` |
| `siteUrl`        | `site-url`         |             | `string`               | `undefined` |

## Events

| Event                       | Description | Type               |
| --------------------------- | ----------- | ------------------ |
| `universityMainMenuToggled` |             | `CustomEvent<any>` |

## Dependencies

### Used by

- [hy-site-header](../../site-header)

### Depends on

- [hy-icon](../../icon)
- [hy-site-logo](../../site-header/site-logo)

### Graph

```mermaid
graph TD;
  hy-menu-main-group --> hy-icon
  hy-menu-main-group --> hy-site-logo
  hy-site-logo --> hy-icon
  hy-site-header --> hy-menu-main-group
  style hy-menu-main-group fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
